OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_SweptFaceSolid Class Reference

`#include <StepShape_SweptFaceSolid.hxx>`

Inheritance diagram for StepShape_SweptFaceSolid:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_SweptFaceSolid ()
| Returns a SweptFaceSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_FaceSurface)&aSweptArea)
virtual Standard_EXPORT void | SetSweptFace (const Handle(StepShape_FaceSurface)&aSweptArea)
virtual Standard_EXPORT Handle_StepShape_FaceSurface | SweptFace () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_FaceSurface | sweptArea

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_SweptFaceSolid::StepShape_SweptFaceSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_SweptFaceSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SolidModel. Reimplemented in StepShape_ExtrudedFaceSolid, and StepShape_RevolvedFaceSolid.

virtual Standard_EXPORT void StepShape_SweptFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_FaceSurface)& | aSweptArea
| ) | `[virtual]`

| Reimplemented in StepShape_ExtrudedFaceSolid, and StepShape_RevolvedFaceSolid.

virtual Standard_EXPORT void StepShape_SweptFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT void StepShape_SweptFaceSolid::SetSweptFace | ( | const Handle(StepShape_FaceSurface)& | aSweptArea | ) | `[virtual]`

virtual Standard_EXPORT Handle_StepShape_FaceSurface StepShape_SweptFaceSolid::SweptFace | ( |  | ) | const`[virtual]`

## Field Documentation

Handle_StepShape_FaceSurface StepShape_SweptFaceSolid::sweptArea`[private]`

The documentation for this class was generated from the following file:

- StepShape_SweptFaceSolid.hxx